Subject: Re: User notification data model proposal 2
From: Graham Crosmarie <[email-masked]>
To: Michael Bailly <[email-masked]>, Laurent DUBOIS <[email-masked]>, Christophe HAMERLING <[email-masked]>, Stephen LE MAISTRE <[email-masked]>, Romain PIGNOLET <[email-masked]>, Philipp KEWISCH <[email-masked]>
Date: Tue, 23 Sep 2014 09:32:36 +0200

Hello,

Seems complete to me...

Except that the 'actions' fields is an array containing one or more URLs.
So I think that the 'acknowledged' fieId corresponding to these actions 
being triggered is not enough, because we can only remember that 1 
action has been chosen by the user.
If all actions are mutually exclusive, it's ok.
But if more than one action can be triggered I think that the 
'acknowledged' field should be moved as a field of an action.

Le 22/09/2014 18:09, Michael Bailly a écrit :
> Hi,
>
> I posted a refine of the proposal on jira : 
> https://ci.open-paas.org/jira/browse/OR-552?focusedCommentId=11014&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-11014
>
> The main things I added are the target, parentId, read & acknowledged 
> fields.
>
> WDYT ?
>

-- 
Signature
Graham CROSMARIE
R&D Engineer
Linagora GSO – www.linagora.com <http://www.linagora.com>